Bug 1257888 - (nm_connectivity_state_change_notify) [RFE] Implement notifications on Connectivity State changes
[RFE] Implement notifications on Connectivity State changes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: Default_Local_DNS_Resolver
  Show dependency treegraph
 
Reported: 2015-08-28 06:24 EDT by Tomáš Hozza
Modified: 2017-01-03 06:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-03 06:04:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2015-08-28 06:24:57 EDT
Description of problem:
To make the Default DNS resolver usable on Fedora Workstation, we agreed to turn off the Captive portal detection in dnssec-trigger off and rely only on NetworkManager. Now the problem is that in dnssec-trigger we need to do some actions when the Captive portal is detected or when Internet is reachable.

We rely on nm-dispatcher for notifications. Currently nm-dispatcher is not able to notify on Connectivity State change.

Please add notifications on Connectivity state changes into nm-dispatcher. The only information that could be provided as part of the environment is what was the previous Connectivity State and what is the new Connectivity State.

Thank you.
Comment 1 Fedora End Of Life 2016-11-24 07:24:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:30:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Beniamino Galvani 2017-01-03 06:04:30 EST
connectivity-changed dispatcher action is available since NM 1.4 (F25):

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=283562ef18cbc2d62a567656e8fc0bc3fb5d433d

Note You need to log in before you can comment on or make changes to this bug.